import { Result, UseCaseInterface } from '@standardnotes/domain-core';
import { AuthClientInterface, EncryptionProviderInterface, InternalEventBusInterface, KeyValueStoreInterface, SessionsClientInterface } from '@standardnotes/services';
import { PureCryptoInterface } from '@standardnotes/sncrypto-common';
import { SignInWithRecoveryCodesDTO } from './SignInWithRecoveryCodesDTO';
export declare class SignInWithRecoveryCodes implements UseCaseInterface<void> {
    private authManager;
    private encryptionService;
    private inMemoryStore;
    private crypto;
    private sessionManager;
    private internalEventBus;
    constructor(authManager: AuthClientInterface, encryptionService: EncryptionProviderInterface, inMemoryStore: KeyValueStoreInterface<string>, crypto: PureCryptoInterface, sessionManager: SessionsClientInterface, internalEventBus: InternalEventBusInterface);
    execute(dto: SignInWithRecoveryCodesDTO): Promise<Result<void>>;
}
