import { DeprecatedHttpResponse, HttpRequestParams, HttpRequest } from '@standardnotes/responses';
import { AbstractService, InternalEventBusInterface } from '@standardnotes/services';
import { Environment } from '@standardnotes/models';
/**
 * A non-SNJS specific wrapper for XMLHttpRequests
 */
export declare class DeprecatedHttpService extends AbstractService {
    private readonly environment;
    private readonly appVersion;
    protected internalEventBus: InternalEventBusInterface;
    constructor(environment: Environment, appVersion: string, internalEventBus: InternalEventBusInterface);
    getAbsolute(url: string, params?: HttpRequestParams, authentication?: string): Promise<DeprecatedHttpResponse>;
    postAbsolute(url: string, params?: HttpRequestParams, authentication?: string): Promise<DeprecatedHttpResponse>;
    putAbsolute(url: string, params?: HttpRequestParams, authentication?: string): Promise<DeprecatedHttpResponse>;
    patchAbsolute(url: string, params: HttpRequestParams, authentication?: string): Promise<DeprecatedHttpResponse>;
    deleteAbsolute(url: string, params?: HttpRequestParams, authentication?: string): Promise<DeprecatedHttpResponse>;
    runHttp(httpRequest: HttpRequest): Promise<DeprecatedHttpResponse>;
    private createRequestBody;
    private createXmlRequest;
    private runRequest;
    private stateChangeHandlerForRequest;
    private urlForUrlAndParams;
}
