import { ComponentArea, ComponentAction } from '@standardnotes/features';
import { ComponentMessage, MessageData, OutgoingItemMessagePayload } from '@standardnotes/models';
import { UuidString } from '../../Types/UuidString';
import { ContentType } from '@standardnotes/domain-core';
export declare const ReadwriteActions: ComponentAction[];
export type Writeable<T> = {
    -readonly [P in keyof T]: T[P];
};
/**
 * Extensions allowed to batch stream AllowedBatchContentTypes
 */
export declare const AllowedBatchStreaming: readonly string[];
/**
 * Content types which are allowed to be managed/streamed in bulk by a component.
 */
export declare const AllowedBatchContentTypes: readonly string[];
export type StreamObserver = {
    identifier: string;
    componentUuid: UuidString;
    area: ComponentArea;
    originalMessage: ComponentMessage;
    /** contentTypes is optional in the case of a context stream observer */
    contentTypes?: ContentType[];
};
export type MessageReplyData = {
    approved?: boolean;
    deleted?: boolean;
    error?: string;
    item?: OutgoingItemMessagePayload;
    items?: OutgoingItemMessagePayload[];
    themes?: string[];
};
export type StreamItemsMessageData = MessageData & {
    content_types: ContentType[];
};
export type DeleteItemsMessageData = MessageData & {
    items: OutgoingItemMessagePayload[];
};
export type MessageReply = {
    action: ComponentAction;
    original: ComponentMessage;
    data: MessageReplyData;
};
