import { ComponentFeatureDescription, ComponentPermission } from '@standardnotes/features';
import { PermissionDialog, UIFeature } from '@standardnotes/models';
import { AlertService, ItemManagerInterface, MutatorClientInterface, SyncServiceInterface } from '@standardnotes/services';
export declare class RunWithPermissionsUseCase {
    private permissionDialogUIHandler;
    private alerts;
    private mutator;
    private sync;
    private items;
    private permissionDialogs;
    private pendingErrorAlerts;
    constructor(permissionDialogUIHandler: (dialog: PermissionDialog) => void, alerts: AlertService, mutator: MutatorClientInterface, sync: SyncServiceInterface, items: ItemManagerInterface);
    deinit(): void;
    execute(componentIdentifier: string, requiredPermissions: ComponentPermission[], runFunction: () => void): void;
    setPermissionDialogUIHandler(handler: (dialog: PermissionDialog) => void): void;
    areRequestedPermissionsValid(uiFeature: UIFeature<ComponentFeatureDescription>, permissions: ComponentPermission[]): boolean;
    private promptForPermissionsWithDeferredRendering;
    private promptForPermissions;
    private findUIFeature;
}
