import { Uuid } from '@standardnotes/domain-core';
import { AnyFeatureDescription, NativeFeatureIdentifier } from '@standardnotes/features';
import { DecryptedItemInterface } from '@standardnotes/models';
import { Subscription } from '@standardnotes/responses';
import { FeatureStatus, ItemManagerInterface } from '@standardnotes/services';
export declare class GetFeatureStatusUseCase {
    private items;
    constructor(items: ItemManagerInterface);
    execute(dto: {
        featureId: NativeFeatureIdentifier | Uuid;
        firstPartyOnlineSubscription: Subscription | undefined;
        firstPartyRoles: {
            online: string[];
        } | {
            offline: string[];
        } | undefined;
        hasPaidAnyPartyOnlineOrOfflineSubscription: boolean;
        inContextOfItem?: DecryptedItemInterface;
    }): FeatureStatus;
    findNativeFeature(featureId: NativeFeatureIdentifier | Uuid): AnyFeatureDescription | undefined;
    private getDeprecatedNativeFeatureStatus;
    private getNativeFeatureFeatureStatus;
    private getThirdPartyFeatureStatus;
    private isFreeFeature;
}
