import { SNRootKeyParams } from '@standardnotes/encryption';
import { EncryptedTransferPayload, EncryptedPayloadInterface, DecryptedPayloadInterface, ItemsKeyContent, RootKeyInterface } from '@standardnotes/models';
import { UuidString } from '../../Types';
export type UndecryptableItemsStorage = Record<UuidString, EncryptedTransferPayload>;
export type KeyRecoveryOperationSuccessResult = {
    rootKey: RootKeyInterface;
    decryptedItemsKey: DecryptedPayloadInterface<ItemsKeyContent>;
    replaceLocalRootKeyWithResult: boolean;
};
export type KeyRecoveryOperationFailResult = {
    aborted: boolean;
};
export type KeyRecoveryOperationResult = KeyRecoveryOperationSuccessResult | KeyRecoveryOperationFailResult;
export declare function isSuccessResult(x: KeyRecoveryOperationResult): x is KeyRecoveryOperationSuccessResult;
export type DecryptionQueueItem = {
    encryptedKey: EncryptedPayloadInterface;
    keyParams: SNRootKeyParams;
};
export declare enum KeyRecoveryEvent {
    KeysRecovered = "KeysRecovered"
}
