import { UuidString } from '../../Types/UuidString';
import { ItemManager } from '../Items/ItemManager';
import { DeprecatedHttpService } from '../Api/DeprecatedHttpService';
import { SettingsService } from '../Settings/SNSettingsService';
import { ListedClientInterface } from './ListedClientInterface';
import { LegacyApiService } from '../Api/ApiService';
import { ListedAccount, ListedAccountInfo } from '@standardnotes/responses';
import { SNNote } from '@standardnotes/models';
import { AbstractService, InternalEventBusInterface, MutatorClientInterface, SyncServiceInterface } from '@standardnotes/services';
import { ProtectionService } from '../Protection';
export declare class ListedService extends AbstractService implements ListedClientInterface {
    private apiService;
    private itemManager;
    private settingsService;
    private httpSerivce;
    private protectionService;
    private mutator;
    private sync;
    protected internalEventBus: InternalEventBusInterface;
    constructor(apiService: LegacyApiService, itemManager: ItemManager, settingsService: SettingsService, httpSerivce: DeprecatedHttpService, protectionService: ProtectionService, mutator: MutatorClientInterface, sync: SyncServiceInterface, internalEventBus: InternalEventBusInterface);
    deinit(): void;
    canRegisterNewListedAccount(): boolean;
    isNoteAuthorizedForListed(note: SNNote): boolean;
    authorizeNoteForListed(note: SNNote): Promise<boolean>;
    /**
     * Account creation is asyncronous on the backend due to message-based nature of architecture.
     * In order to get the newly created account, we poll the server to check for new accounts.
     */
    requestNewListedAccount(): Promise<ListedAccount | undefined>;
    getListedAccounts(): Promise<ListedAccount[]>;
    getListedAccountInfo(account: ListedAccount, inContextOfItem?: UuidString): Promise<ListedAccountInfo | undefined>;
    private getSettingsBasedListedAccounts;
    private getLegacyListedAccounts;
}
