import { SettingsService } from '../Settings';
import { PureCryptoInterface } from '@standardnotes/sncrypto-common';
import { FeaturesService } from '../Features/FeaturesService';
import { AbstractService, InternalEventBusInterface, MfaServiceInterface, ProtectionsClientInterface } from '@standardnotes/services';
export declare class MfaService extends AbstractService implements MfaServiceInterface {
    private settingsService;
    private crypto;
    private featuresService;
    private protections;
    protected internalEventBus: InternalEventBusInterface;
    constructor(settingsService: SettingsService, crypto: PureCryptoInterface, featuresService: FeaturesService, protections: ProtectionsClientInterface, internalEventBus: InternalEventBusInterface);
    private saveMfaSetting;
    isMfaActivated(): Promise<boolean>;
    generateMfaSecret(): Promise<string>;
    getOtpToken(secret: string): Promise<string>;
    enableMfa(secret: string, otpToken: string): Promise<void>;
    disableMfa(): Promise<void>;
    deinit(): void;
}
