import { PrefKey, PrefValue } from '@standardnotes/models';
import { ItemManager } from '../Items/ItemManager';
import { SingletonManager } from '../Singleton/SingletonManager';
import { SyncService } from '../Sync/SyncService';
import { AbstractService, InternalEventBusInterface, PreferenceServiceInterface, PreferencesServiceEvent, MutatorClientInterface, InternalEventHandlerInterface, InternalEventInterface, StorageServiceInterface, LocalPrefKey, LocalPrefValue } from '@standardnotes/services';
export declare class PreferencesService extends AbstractService<PreferencesServiceEvent> implements PreferenceServiceInterface, InternalEventHandlerInterface {
    private singletons;
    private mutator;
    private sync;
    private storage;
    protected internalEventBus: InternalEventBusInterface;
    private shouldReload;
    private reloading;
    private preferences?;
    private localPreferences;
    private removeItemObserver?;
    private removeSyncObserver?;
    constructor(singletons: SingletonManager, items: ItemManager, mutator: MutatorClientInterface, sync: SyncService, storage: StorageServiceInterface, internalEventBus: InternalEventBusInterface);
    deinit(): void;
    handleEvent(event: InternalEventInterface): Promise<void>;
    getLocalValue<K extends LocalPrefKey>(key: K, defaultValue: LocalPrefValue[K] | undefined): LocalPrefValue[K] | undefined;
    getLocalValue<K extends LocalPrefKey>(key: K, defaultValue: LocalPrefValue[K]): LocalPrefValue[K];
    getValue<K extends PrefKey>(key: K, defaultValue: PrefValue[K] | undefined): PrefValue[K] | undefined;
    getValue<K extends PrefKey>(key: K, defaultValue: PrefValue[K]): PrefValue[K];
    setLocalValue<K extends LocalPrefKey>(key: K, value: LocalPrefValue[K]): void;
    setValue<K extends PrefKey>(key: K, value: PrefValue[K]): Promise<void>;
    setValueDetached<K extends PrefKey>(key: K, value: PrefValue[K]): Promise<void>;
    private reload;
}
