import { LegacyApiService } from '../Api/ApiService';
import { SessionManager } from '../Session/SessionManager';
import { EmailBackupFrequency } from '@standardnotes/settings';
import { AbstractService, InternalEventBusInterface } from '@standardnotes/services';
import { SettingsClientInterface } from './SettingsClientInterface';
import { SettingName } from '@standardnotes/domain-core';
export declare class SettingsService extends AbstractService implements SettingsClientInterface {
    private readonly sessionManager;
    private readonly apiService;
    protected internalEventBus: InternalEventBusInterface;
    private provider;
    private frequencyOptionsLabels;
    constructor(sessionManager: SessionManager, apiService: LegacyApiService, internalEventBus: InternalEventBusInterface);
    initializeFromDisk(): void;
    listSettings(): Promise<import("./SettingsList").SettingsList>;
    getSetting(name: SettingName): Promise<string | undefined>;
    getSubscriptionSetting(name: SettingName): Promise<string | undefined>;
    updateSubscriptionSetting(name: SettingName, payload: string, sensitive?: boolean): Promise<void>;
    updateSetting(name: SettingName, payload: string, sensitive?: boolean): Promise<void>;
    getDoesSensitiveSettingExist(name: SettingName): Promise<boolean>;
    deleteSetting(name: SettingName): Promise<void>;
    getEmailBackupFrequencyOptionLabel(frequency: EmailBackupFrequency): string;
    deinit(): void;
}
