import { SharedVaultInviteServerHash, SharedVaultServerHash, HttpError, HttpResponse, RawSyncResponse, NotificationServerHash, AsymmetricMessageServerHash } from '@standardnotes/responses';
import { ServerSyncSavedContextualPayload, FilteredServerItem } from '@standardnotes/models';
import { TrustedServerConflictMap } from './ServerConflictMap';
export declare class ServerSyncResponse {
    rawResponse: HttpResponse<RawSyncResponse>;
    readonly savedPayloads: ServerSyncSavedContextualPayload[];
    readonly retrievedPayloads: FilteredServerItem[];
    readonly conflicts: TrustedServerConflictMap;
    readonly asymmetricMessages: AsymmetricMessageServerHash[];
    readonly vaults: SharedVaultServerHash[];
    readonly vaultInvites: SharedVaultInviteServerHash[];
    readonly userEvents: NotificationServerHash[];
    private readonly rawConflictObjects;
    private successResponseData;
    constructor(rawResponse: HttpResponse<RawSyncResponse>);
    private filterConflictsAndDisallowedPayloads;
    get error(): HttpError | undefined;
    get status(): number;
    get lastSyncToken(): string | undefined;
    get paginationToken(): string | undefined;
    get numberOfItemsInvolved(): number;
    get hasError(): boolean;
}
