import { ServerSyncResponse } from './Account/Response';
import { OfflineSyncResponse } from './Offline/Response';
export declare enum SyncSignal {
    Response = 1,
    StatusChanged = 2
}
export type SyncStats = {
    completedUploadCount: number;
    totalUploadCount: number;
};
export type ResponseSignalReceiver<T extends ServerSyncResponse | OfflineSyncResponse> = (signal: SyncSignal, response?: T, stats?: SyncStats) => Promise<void>;
